# ServerSocket Class Reference

List of all members.

## Public Member Functions

| ServerSocket (int port)
| Creates a server socket on a specified port.
virtual | ~ServerSocket ()
SocketPtr | accept ()
| Listens for a connection to be made to this socket and accepts it.
void | close ()
| Closes this socket.
int | getSoTimeout () const
| Retrive setting for SO_TIMEOUT.
void | setSoTimeout (int timeout)
| Enable/disable SO_TIMEOUT with the specified timeout, in milliseconds.

## Constructor & Destructor Documentation

ServerSocket | ( | int | port | ) |

| Creates a server socket on a specified port.

virtual ~ServerSocket | ( |  | ) | `[virtual]`

## Member Function Documentation

SocketPtr accept | ( |  | ) |

| Listens for a connection to be made to this socket and accepts it.

void close | ( |  | ) |

| Closes this socket.

int getSoTimeout | ( |  | ) | const

| Retrive setting for SO_TIMEOUT.

void setSoTimeout | ( | int | timeout | ) |

| Enable/disable SO_TIMEOUT with the specified timeout, in milliseconds.

The documentation for this class was generated from the following file:

- serversocket.h